Bug 457536 - openjdk pluginappletviewer fails when appletviewer works well
openjdk pluginappletviewer fails when appletviewer works well
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-01 08:02 EDT by Amaro R. Silva
Modified: 2008-10-22 17:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 17:29:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amaro R. Silva 2008-08-01 08:02:10 EDT
Description of problem:

Pluginappletviewer from openjdk-1.6.0 fails to run an applet in firefox 3.0.1,
even though java's appletviewer command works well independently on the same
applet .html file. This happens only if there are in the .html applet data
strings that are broken by newline characters ("\n" in Linux). If the string is
short enough, eliminating these newlines fixes the problem, but for long strings
the problem persists probably due to a buffer overflow. 

I had to uninstall the openjdk java packets to get these applets to work again
when viewed from firefox embedded in .xml file using java's SE 1.6.0_07.


Version-Release number of selected component (if applicable): 1.6.0

How reproducible: Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lillian Angel 2008-08-12 12:51:35 EDT
Do you have a test case for this?
Comment 2 Amaro R. Silva 2008-08-13 10:58:10 EDT
Try this page

http://gamow.ist.utl.pt/~amaro/Spline3D.html

It produces errors caused by the first newline in the string describing INDEPENDENT_VARIABLES. If I eliminate all the newlines in this short string, it will go ahead and fail at the first newline it encounters in the DEPENDENT_VARIABLES string. Here eliminating all newlines doesn't solve the problem because the string is too big.

If there are no newlines in these strings and they are short enough as in the following applet embedded in 

http://gamow.ist.utl.pt/~amaro/EO2005/temp3.xml

then openjdk pluginappletviewer works. 

ARS
Comment 3 Lillian Angel 2008-10-22 17:29:58 EDT
will be in rawhide in the next couple of days.

java-1.6.0-openjdk-1.6.0.0-1.0.b12.fc10

Note You need to log in before you can comment on or make changes to this bug.